diff -ruw gcc-6.5.0/isl/isl_test.c gcc-6.5.0-irix/isl/isl_test.c
--- gcc-6.5.0/isl/isl_test.c	Thu Dec 15 06:27:30 2016
+++ gcc-6.5.0-irix/isl/isl_test.c	Sun Dec 22 11:54:48 2024
@@ -493,19 +493,23 @@
 	return 0;
 }
 
-struct {
+struct vbo {
 	__isl_give isl_val *(*fn)(__isl_take isl_val *v1,
 				__isl_take isl_val *v2);
-} val_bin_op[] = {
-	['+'] = { &isl_val_add },
-	['-'] = { &isl_val_sub },
-	['*'] = { &isl_val_mul },
-	['/'] = { &isl_val_div },
-	['g'] = { &isl_val_gcd },
-	['m'] = { &isl_val_min },
-	['M'] = { &isl_val_max },
-};
+} vbo;
+struct vbo val_bin_op[256];
 
+void setup_val_bin_ops()
+{
+  val_bin_op['+'].fn=&isl_val_add;
+  val_bin_op['-'].fn=&isl_val_sub;
+  val_bin_op['*'].fn=&isl_val_mul;
+  val_bin_op['/'].fn=&isl_val_div;
+  val_bin_op['g'].fn=&isl_val_gcd;
+  val_bin_op['m'].fn=&isl_val_min;
+  val_bin_op['M'].fn=&isl_val_max;
+}
+
 struct {
 	const char *arg1;
 	unsigned char op;
@@ -4344,14 +4348,18 @@
 	return 0;
 }
 
-struct {
+struct abo {
 	__isl_give isl_aff *(*fn)(__isl_take isl_aff *aff1,
 				__isl_take isl_aff *aff2);
-} aff_bin_op[] = {
-	['+'] = { &isl_aff_add },
-	['-'] = { &isl_aff_sub },
-	['*'] = { &isl_aff_mul },
-	['/'] = { &isl_aff_div },
+} abo;
+struct abo aff_bin_op[256];
+
+void setup_aff_bin_ops()
+{
+  aff_bin_op['+'].fn=&isl_aff_add;
+  aff_bin_op['-'].fn=&isl_aff_sub;
+  aff_bin_op['*'].fn=&isl_aff_mul;
+  aff_bin_op['/'].fn=&isl_aff_div;
 };
 
 struct {
@@ -6943,6 +6951,9 @@
 	struct isl_ctx *ctx;
 	struct isl_options *options;
 
+	setup_val_bin_ops();
+	setup_aff_bin_ops();
+
 	options = isl_options_new_with_defaults();
 	assert(options);
 	argc = isl_options_parse(options, argc, argv, ISL_ARG_ALL);
Only in gcc-6.5.0-irix/isl: isl_test.c.orig
Only in gcc-6.5.0-irix/isl: isl_test.c.rej
Only in gcc-6.5.0-irix/isl: libisl.sgifixes.patch
